FIXINCLUDES(1)

NOME
fixincludes - Riduce il numero di #include nei file sorgenti di KDE

SINOSSI

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

DESCRIZIONE

fixincludes prova a ridurre il numero di #include nei file sorgenti C++. La maggior parte del suo lavoro è specifico per i sorgenti di KDE e per questo potrebbe non funzionare correttamente con sorgenti di applicazioni non KDE.

fixincludes identifica i seguenti problemi:

    • Inclusione di header che non sono più supportati ma che ancora esistono per compatibilità con versioni più vecchie di Qt/KDE;

    • Inclusione dello stesso file più volte.

C'è anche una modalità sperimentale che prova a rimuovere un #include per volta (con alcune eccezioni) per vedere se il sorgente compila ancora. Nota che questa modalità sperimentale modificherà i sorgenti originali.

In maniera predefinita i sorgenti non saranno modificati; i problemi rilevati saranno semplicemente riportati sullo standard output.

La lista dei sorgenti C++ da esaminare dovrebbe essere specificata a riga di comando. Se non viene specificato alcun file, saranno esaminati tutti i sorgenti C++ nella directory specificata o in sottodirectory della stessa (ad eccezione delle directory il cui Makefile.am contiene -UQT_NO_COMPAT o -UKDE_NO_COMPAT)

Questa applicazione è parte del pacchetto di sviluppo software di KDE.

OPZIONI

-v, --verbose
    Modalità prolissa. Viene scritto output aggiuntivo per il debug sullo standard output.

-e, --experimental
    Modalità sperimentale, come descritto in dettaglio sopra. Nota che questa opzione implica --modify.

-m, --modify
    Oltre a scrivere messaggi sullo standard output, modifica realmente i sorgenti originali per correggere qualsiasi problema riscontrato.

AUTORI

fixincludes è stato scritto da Dirk Mueller <mueller@kde.org>.

AUTORE

Ben Burton <bab@debian.org>
    Autore.